# 二维码接口
## 二维码生成
这是公司的二维码在线生成接口

### 接口地址：

https://api.ycxxkj.com/index.php/api/qrcode/online

### 调用方式

get请求

### 接口参数

| 字段         | 类型     | 是否必须 | 说明                                                                                                                |
|------------|--------|------|-------------------------------------------------------------------------------------------------------------------|
| text       | string | 是    | 二维码文本，如果是网址，请先进行2次url编码，两次编码 的原因参考文章 [《为什么要两次urlencode》](https://blog.csdn.net/hhy_huang/article/details/8699961) |
| size       | int    | 否    | 二维码大小，单位 px                                                                                                       |
| label      | string | 否    | 图片标题，在二维码图片正文                                                                                                     |
| lable_size | string | 否    | 图片标题大小，单位px                                                                                                       |

### 调用示例
#### 调用方法1
https://api.ycxxkj.com/index.php/api/qrcode/online/text/abc/size/500/label/abc/lable_size/100

https://api.ycxxkj.com/index.php/api/qrcode/online/text/https%253A%252F%252Fwww.ycxxkj.com/size/500/label/宇宸/lable_size/100

https://api.ycxxkj.com/index.php/api/qrcode/online/text/文本

#### 调用方法2
https://api.ycxxkj.com/index.php/api/qrcode/online?text=abc&size=500&label=abc&lable_size=100

https://api.ycxxkj.com/index.php/api/qrcode/online?text=https%253A%252F%252Fwww.ycxxkj.com&size=500&label=宇宸&lable_size=100

https://api.ycxxkj.com/index.php/api/qrcode/online?text=文本

## 二维码解码 

### 接口地址：

https://api.ycxxkj.com/index.php/api/qrcode/online

### 调用方式

post请求

### 接口参数
| 字段         | 类型     | 是否必须 | 说明              |
|------------|--------|------|-----------------|
| url        | string | 是    | 二维码图片网址，要求公网可访问 |

### 返回示例
```
{"code":0,"data":{"text":"WT202410152110104585"},"msg":""}
```
text是二维码的解析结果